package kr.co.hanwha.hifive.enums;

/**
 * Created by sanghoonkwon on 2018. 2. 26..
 */

public enum MemberRoleType {
    NULL(-1),
    /**
     * 유닛원
     */
    UNIT_MEMBER(0),
    /**
     * 유닛관리자
     */
    UNIT_MANAGER(10),
    /**
     * 캡틴(유닛의 리더)
     */
    UNIT_LEADER(20),
    /**
     * 클러스터 멤버
     */
    CLUSTER_MEMBER(22200),
    /**
     * 클러스터 관리자
     */
    CLUSTER_MANAGER(22210),
    /**
     * 클러스터 코치
     */
    CLUSTER_COACH(22290);


    private int mType;

    MemberRoleType(int type) {
        mType = type;
    }

    public int getCode() {
        return mType;
    }
}